Skip to content

# Module: "core-api/stores"

## Index

### Classes

- Cluster
- ClusterStore
- ExtensionStore
- Workspace
- WorkspaceStore

### Interfaces

- ClusterModel
- WorkspaceModel

### Type aliases

- ClusterId
- WorkspaceId

### Variables

- clusterStore
- workspaceStore

## Type aliases

### ClusterId

Ƭ ClusterId: string

Defined in src/common/cluster-store.ts:39

### WorkspaceId

Ƭ WorkspaceId: string

Defined in src/common/workspace-store.ts:13

## Variables

### `Const` clusterStore

• clusterStore: ClusterStore‹› = ClusterStore.getInstance()

Defined in src/extensions/stores/cluster-store.ts:133

### `Const` workspaceStore

• workspaceStore: WorkspaceStore‹› = WorkspaceStore.getInstance()

Defined in src/extensions/stores/workspace-store.ts:127